package net.lensfrex.dscape.dao.service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import net.lensfrex.dscape.dao.entity.UserBasic;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.function.Function;

/**
 * @description user_basic服务层
 * @author lensfrex
 * @date 2022-08-18
 */
@Service
public interface UserBasicService extends IService<UserBasic> {
    UserBasic getUser(SFunction<UserBasic, ?> function, String index);

    UserBasic getUser(QueryWrapper<UserBasic> wrapper);

    boolean userNameExists(String username);

    void modify(SFunction<UserBasic, ?> colm, Object index, SFunction<UserBasic, ?> modifyColm, Object newValue);

    void modify(UpdateWrapper<UserBasic> wrapper);
}