package net.lensfrex.dscape.enums.user;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

@Getter
public enum UserRoleEnum {
    NORMAL_USER(0, "normal"),
    ADMIN(1, "admin");

    @EnumValue
    private final int code;

    private final String name;

    UserRoleEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    private final static UserRoleEnum[] allEnums = values();
    public static UserRoleEnum getTypeEnumByCode(int code) {
        for (UserRoleEnum result : allEnums) {
            if (result.code == code) {
                return result;
            }
        }

        throw new IllegalArgumentException(String.format("角色id\"%s\"不存在", code));
    }
}
